Bug 481118 - PowerManager is not correctly detecting battery
PowerManager is not correctly detecting battery
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 04:15 EST by Michael Monreal
Modified: 2009-07-27 07:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 07:21:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-01-22 04:15:43 EST
I had some problems with my laptop's battery (Lenovo N200) being broken with kernels after 2.6.25 I think. In Rawhide, I finally see the correct information (as far as I can tell) in /proc/acpi/battery/BAT1/state again.

Still, PowerManager does not work correctly:

- If I boot without battery, it tells me my battery is critically low or defective.

- It always shows capacity as "nan%" (regardless of battery present or not)

- It seems to correctly notice if I plug in/off AC. It still only shows a broken battery icon if no battery is inserted.

Any more information I can provide for you?
Comment 1 Richard Hughes 2009-01-23 07:30:10 EST
Kernel bug which we fail to catch in DeviceKit-power. They'll be a new release next week which should fix things until the kernel is fixed. Thanks.
Comment 2 Bug Zapper 2009-06-09 06:50:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michael Monreal 2009-07-27 07:21:58 EDT
I think we can close this bug, things *used* to work fine for a while (kind of broken again now, but different thing: bug 513014)

Note You need to log in before you can comment on or make changes to this bug.